## tinyos 2.1.2+dfsg

=== apps/Makefile ===
#-*-makefile-*-
######################################################################
# 
# Makes the entire suite of TinyOS applications for a given platform.
#
# Author: 	Martin Turon
# Date:		August 18, 2005
#
######################################################################
# $Id: Makefile,v 1.4 2006-12-12 18:22:48 vlahan Exp $

# MAKECMDGOALS is the way to get the arguments passed into a Makefile ...
TARGET=$(MAKECMDGOALS)
NESDOC_TARGET=$(filter-out nesdoc,$(TARGET))

# Here is a way to get the list of subdirectories in a Makefile ...
ROOT=.
SUBDIRS := $(shell find * -type d)

# Okay, match any target, and recurse the subdirectories
%: 
	@for i in $(SUBDIRS); do \
	  HERE=$$PWD; \
	  if [ -f $$i/Makefile ]; then \
	      echo Building ... $(PWD)/$$i; \
	      echo make $(TARGET); \
	      cd $$i; \
	      $(MAKE) $(TARGET); \
	      cd $$HERE; \
	  fi; \
	done

BASEDIR = $(shell pwd | sed 's@\(.*\)/apps.*$$@\1@' )
# The output directory for generated documentation
DOCDIR = $(BASEDIR)/doc/nesdoc

nesdoc:
	@echo This target rebuilds documentation for all known platforms.
	@echo It DOES NOT overwrite any existing documentation, thus, it 
	@echo is best run after deleting all old documentation.
	@echo
	@echo To delete all old documentation, delete the contents of the
	@echo $(DOCDIR) directory.
	@echo
	@echo Press Enter to continue, or ^C to abort.
	@read
	for platform in `ncc -print-platforms`; do \
	  $(MAKE) $$platform docs.nohtml.preserve; \
	  nesdoc -o $(DOCDIR) -html -target=$$platform; \
	done

=== apps/BaseStation/Makefile ===
COMPONENT=BaseStationC
CFLAGS += -DCC2420_NO_ACKNOWLEDGEMENTS
CFLAGS += -DCC2420_NO_ADDRESS_RECOGNITION
CFLAGS += -DTASKLET_IS_TASK

include $(MAKERULES)

=== apps/BaseStation15.4/Makefile ===
COMPONENT=BaseStationC
CFLAGS += -DCC2420_NO_ACKNOWLEDGEMENTS
CFLAGS += -DCC2420_NO_ADDRESS_RECOGNITION

BUILD_EXTRA_DEPS += seriallisten15-4
CLEAN_EXTRA = seriallisten15-4.o seriallisten15-4

seriallisten15-4: seriallisten15-4.o
	gcc -o $@ $< $(TOSDIR)/../support/sdk/c/sf/libmote.a

seriallisten15-4.o: seriallisten15-4.c
	gcc -c -o $@ -I$(TOSDIR)/../support/sdk/c/sf -I$(TOSDIR)/lib/serial -I$(TOSDIR)/types $<

include $(MAKERULES)

=== apps/Blink/Makefile ===
COMPONENT=BlinkAppC
include $(MAKERULES)

=== apps/CoapBlip/Makefile ===
COMPONENT=CoapBlipC

# uncomment this for network programming support
# BOOTLOADER=tosboot

#CFLAGS += -DCC2420_DEF_CHANNEL=21
#CFLAGS += -DRF230_DEF_CHANNEL=16
#CFLAGS += -DCC2420_DEF_RFPOWER=4

# Enable Low Power Listening
#CFLAGS += -DLOW_POWER_LISTENING
#CFLAGS += -DLPL_SLEEP_INTERVAL=512

# disables support for the AM stack, which somewhat reduces code size
# and compresses packet formats.  If you want to use other tinyos
# protocols which are AM-based, you should not include this.
#CFLAGS += -DIEEE154FRAMES_ENABLED

# lib6lowpan contains inet_ntop6 and inet_pton6 to process ascii
# representations of IPv6 addresses.  You can remove them to save some
# code if you don't use them
# CFLAGS += -DNO_LIB6LOWPAN_ASCII

# you can compile with or without a routing protocol... of course,
# without it, you will only be able to use link-local communication.
PFLAGS += -DRPL_ROUTING -DRPL_STORING_MODE -I$(LOWPAN_ROOT)/tos/lib/net/rpl
#PFLAGS += -DRPL_OF_MRHOF -DRPL_ROOT_ADDR=1

# if you set this, the stack won't use dhcp to assign addresses -- it
# will use this prefix combined with TOS_NODE_ID
PFLAGS += -DIN6_PREFIX=\"fec0::\"

# printf debugs. works only on telosb/tmote sky.
# CFLAGS += -DNEW_PRINTF_SEMANTICS -DPRINTFUART_ENABLED
# uncomment this line if you are having problems displaying the new printf semantics
# CFLAGS += -DPRINTF_BUFFER_SIZE=1024

################ CoAP Server ###############################
CFLAGS += -DCOAP_SERVER_ENABLED
# port where server is listening
CFLAGS += -DCOAP_SERVER_PORT=61616L
#set max uri length
CFLAGS += -DMAX_URI_LENGTH=5
# set available resources.
# Don't forget to change CFLAG: NUM_URIS!!!!!
CFLAGS += -DNUM_URIS=1

#CFLAGS += -DCOAP_RESOURCE_TEMP
#CFLAGS += -DCOAP_RESOURCE_HUM
#CFLAGS += -DCOAP_RESOURCE_VOLT
#CFLAGS += -DCOAP_RESOURCE_ALL #TEMP + HUM + VOLT

#CFLAGS += -DCOAP_RESOURCE_KEY

CFLAGS += -DCOAP_RESOURCE_LED

#CFLAGS += -DCOAP_RESOURCE_ROUTE

# timeout in milliseconds for sending PreACK
CFLAGS += -DCOAP_PREACK_TIMEOUT=500

#CFLAGS += -DINCLUDE_WELLKNOWN

################ CoAP Client ################################
#CFLAGS += -DCOAP_CLIENT_ENABLED
# client destination port
CFLAGS += -DCOAP_CLIENT_PORT=61617L
# client IPv6 destination address
CFLAGS += -DCOAP_CLIENT_DEST=\"fec0::100\"

CFLAGS += -I.
include $(MAKERULES)

=== apps/MViz/Makefile ===
COMPONENT=MVizAppC
CFLAGS += -I$(TOSDIR)/lib/net/ -I$(TOSDIR)/lib/net/ctp -I$(TOSDIR)/lib/net/4bitle -I.
BUILD_EXTRA_DEPS = MVizMsg.class

MVizMsg.java: MViz.h
	mig -target=null -java-classname=MVizMsg java MViz.h mviz_msg -o $@

MVizMsg.class: MVizMsg.java
	javac MVizMsg.java

include $(MAKERULES)

=== apps/MultihopOscilloscope/Makefile ===
COMPONENT=MultihopOscilloscopeAppC
CFLAGS += -I$(TOSDIR)/lib/net/ -I$(TOSDIR)/lib/net/ctp  -I$(TOSDIR)/lib/net/4bitle

include $(MAKERULES)

=== apps/MultihopOscilloscopeLqi/Makefile ===
COMPONENT=MultihopOscilloscopeAppC
CFLAGS += -I$(TOSDIR)/lib/net/ -I$(TOSDIR)/lib/net/lqi

include $(MAKERULES)

=== apps/Null/Makefile ===
COMPONENT=NullAppC
include $(MAKERULES)

=== apps/Oscilloscope/Makefile ===
COMPONENT=OscilloscopeAppC

include $(MAKERULES)

=== apps/Powerup/Makefile ===
COMPONENT=PowerupAppC
include $(MAKERULES)

=== apps/PppRouter/Makefile ===
COMPONENT=PppRouterC
# PFLAGS += -DENABLE_SPI0_DMA
# PFLAGS += -DCC2420_DEF_CHANNEL=21

# use rpl
PFLAGS += -DRPL_ROUTING -DRPL_STORING_MODE -I$(LOWPAN_ROOT)/tos/lib/net/rpl
# PFLAGS += -DRPL_OF_MRHOF

# and ppp
PFLAGS += -I$(TOSDIR)/lib/ppp
PFLAGS += -I$(TOSDIR)/lib/fragpool

# this works around fragmentation in the RX buffer pool
PFLAGS += -DPPP_HDLC_RX_FRAME_LIMIT=1 -DPPP_HDLC_TX_FRAME_LIMIT=8

# if you set this, the stack won't use dhcp to assign addresses -- it
# will use this prefix combined with TOS_NODE_ID
PFLAGS += -DIN6_PREFIX=\"fec0::\"

# derive short address from the dhcp address assignment, if possible
PFLAGS += -DBLIP_DERIVE_SHORTADDRS

include $(MAKERULES)

=== debian/changelog ===
tinyos (2.1.2+dfsg-1) unstable; urgency=low

  * Initial Debian Release (Closes: #696006)

 -- Sebastian Reichel <sre@debian.org>  Sun, 06 Jan 2013 19:11:55 +0100

=== debian/control ===
Source: tinyos
Section: devel
Priority: extra
Maintainer: Sebastian Reichel <sre@debian.org>
Standards-Version: 3.9.4
Build-Depends: ant,
               debhelper (>= 9)
Homepage: http://tinyos.net/
Vcs-Browser: http://git.debian.org/?p=collab-maint/tinyos.git
Vcs-Git: git://git.debian.org/collab-maint/tinyos.git

Package: tinyos-source
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libjama-java,
         perl,
         python
Recommends: tinyos-tools
Description: operating system for sensor motes and embedded devices
 TinyOS is an open source, BSD-licensed operating system
 designed for low-power wireless devices, such as those
 used in sensor networks, ubiquitous computing, personal
 area networks, smart buildings, and smart meters.
 .
 This package contains the TinyOS source code.

=== debian/rules ===
#!/usr/bin/make -f
DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog | sed -rne 's,^Version: ([^+]+).*,\1,p')

%:
	dh $@

build_java_apps_antitheft:
	cd ./apps/AntiTheft/java/
	ant
	cd ../../..

build_java_apps_oscilloscope: apps/tosthreads/apps/TestCollection/java apps/tosthreads/capps/TestCollection/java apps/Oscilloscope/java apps/MultihopOscilloscope/java apps/MultihopOscilloscopeLqi/java
	cd $<
	make veryclean
	make oscilloscope.jar

build_java_tinyos:
	cd support/sdk/java
	make tinyos.jar

override_dh_auto_clean:
	# run normal dh_auto_clean
	dh_auto_clean

override_dh_build: build_java_apps_antitheft build_java_apps_oscilloscope

override_dh_install:
	# run normal dh_install
	dh_install
	# remove apps/tests/LinkBench
	# It needs some external java dependencies, which are currently
	# not available in Debian.
	rm -rf debian/tinyos-source/usr/src/tinyos/apps/tests/LinkBench
	# fix file permissions
	find debian/tinyos-source -name "*.nc" -exec chmod 644 \{\} \;
	find debian/tinyos-source -name "*.h" -exec chmod 644 \{\} \;
	find debian/tinyos-source -name "*.java" -exec chmod 644 \{\} \;
	find debian/tinyos-source -name "*.txt" -exec chmod 644 \{\} \;
	find debian/tinyos-source -name "*.xml" -exec chmod 644 \{\} \;
	find debian/tinyos-source -name "*.extra" -exec chmod 644 \{\} \;
	find debian/tinyos-source -name "README" -exec chmod 644 \{\} \;
	find debian/tinyos-source -name "Makefile" -exec chmod 644 \{\} \;
	# make scripts executable
	chmod 755 debian/tinyos-source/usr/src/tinyos/apps/Oscilloscope/oscilloscope.py
	chmod 755 debian/tinyos-source/usr/src/tinyos/apps/UDPEcho/tests/echotest.pl
	chmod 755 debian/tinyos-source/usr/src/tinyos/apps/tests/TestDhv/gentest.py
	chmod 755 debian/tinyos-source/usr/src/tinyos/apps/tests/TestDip/gentest.py
	chmod 755 debian/tinyos-source/usr/src/tinyos/tos/lib/ppp/tests/Ipv6/pppd.sh
	chmod 755 debian/tinyos-source/usr/src/tinyos/tos/lib/ppp/tests/Lcp/pppd.sh
	chmod 755 debian/tinyos-source/usr/src/tinyos/tos/lib/timer/generate.sh
	chmod 755 debian/tinyos-source/usr/src/tinyos/tos/lib/tossim/generate-swig.bash
	chmod 755 debian/tinyos-source/usr/src/tinyos/tos/lib/tossim/sf/examples/TestSerialSFClient.py
	chmod 755 debian/tinyos-source/usr/src/tinyos/tos/lib/tossim/sf/generate-swig.bash
	chmod 755 debian/tinyos-source/usr/src/tinyos/tos/lib/tossim/topologies/layout.py
	chmod 755 debian/tinyos-source/usr/src/tinyos/tos/lib/zigbee/pmote.sh
	chmod 755 debian/tinyos-source/usr/src/tinyos/tos/lib/zigbee/pnetwork.sh
	# remove executable bit from files, which can't be executed
	chmod 644 debian/tinyos-source/usr/src/tinyos/tos/lib/ppp/tests/Ipv6/test.sh
	chmod 644 debian/tinyos-source/usr/src/tinyos/support/sdk/c/sf/bootstrap
	chmod 644 debian/tinyos-source/usr/src/tinyos/support/make/m16c60/crt_62p.S
	chmod 644 debian/tinyos-source/usr/src/tinyos/support/make/mulle.target
	chmod 644 debian/tinyos-source/usr/src/tinyos/apps/tosthreads/tinyld/SerialLoader/tinyos.py
	chmod 644 debian/tinyos-source/usr/src/tinyos/apps/tests/TestFtsp/Ftsp/FtspDataAnalyzer.m
	chmod 644 debian/tinyos-source/usr/src/tinyos/tos/platforms/mulle/.platform
	chmod 644 debian/tinyos-source/usr/src/tinyos/apps/tests/TestFtsp/FtspLpl/TestFtspMsg.py
	chmod 644 debian/tinyos-source/usr/src/tinyos/support/make/m16c60/linker_62p.x
	chmod 644 debian/tinyos-source/usr/src/tinyos/apps/tosthreads/tinyld/SerialLoaderFlash/tinyos.py
	chmod 644 debian/tinyos-source/usr/src/tinyos/support/make/m16c60/m16c60.rules
	chmod 644 debian/tinyos-source/usr/src/tinyos/tos/lib/ppp/tests/Lcp/test.sh
	# remove extra license files
	rm debian/tinyos-source/usr/src/tinyos/support/sdk/c/coap/LICENSE
	# replace Jama-1.0.2.jar with symlink
	rm debian/tinyos-source/usr/src/tinyos/apps/tests/rfxlink/TestTimeStamping/Jama-1.0.2.jar
	ln -s ../../../../../../share/java/jama.jar debian/tinyos-source/usr/src/tinyos/apps/tests/rfxlink/TestTimeStamping/Jama-1.0.2.jar
	# install tinyos profile
	mkdir -p debian/tinyos-source/etc/profile.d
	install -m 644 debian/tinyos.profile debian/tinyos-source/etc/profile.d/tinyos.sh

override_dh_installchangelogs:
	dh_installchangelogs release-notes.txt

get-orig-source:
	uscan --noconf --force-download --download-current-version --destdir=. $(DEB_DEBIAN_DIR)/..
	rm -rf tinyos-$(DEB_UPSTREAM_VERSION)
	tar -xf tinyos_$(DEB_UPSTREAM_VERSION).orig.tar.gz
	rm -rf tinyos-$(DEB_UPSTREAM_VERSION).tar.gz
	rm tinyos_$(DEB_UPSTREAM_VERSION).orig.tar.gz
	# remove prebuilt binaries. We will use the libraries built
	# by tinyos-tools instead.
	rm -f tinyos-$(DEB_UPSTREAM_VERSION)/support/sdk/java/net/tinyos/util/*.lib
	# create new orig.tar.gz
	GZIP=--best tar -cz --owner root --group root --mode a+rX -f \
		tinyos_$(DEB_UPSTREAM_VERSION)+dfsg.orig.tar.gz \
		tinyos-$(DEB_UPSTREAM_VERSION)
	rm -rf tinyos-$(DEB_UPSTREAM_VERSION)

=== debian/watch ===
version=3
opts=dversionmangle=s/[+]dfsg// \
http://tinyos.stanford.edu/tinyos/dists/source/tinyos-([\d\.]+).tar.gz
